| Qore Qorize Module Reference 0.1.2

Functions
Qorize Namespace Reference

public Qorize namespace contains all relevant stuff for this module More...

## Functions
string | qorize (bool val, string name='var', bool newstyle=True)
| create code from the boolean value More...
string | qorize (string val, string name='var', bool newstyle=True)
| create code from the string value More...
string | qorize (int val, string name='var', bool newstyle=True)
| create code from the integer value More...
string | qorize (float val, string name='var', bool newstyle=True)
| create code from the float value More...
string | qorize (number val, string name='var', bool newstyle=True)
| create code from the number value More...
string | qorize (date val, string name='var', bool newstyle=True)
| create code from the date value More...
string | qorize (binary val, string name='var', bool newstyle=True)
| create code from the binary value More...
string | qorize (list val, string name='var', bool newstyle=True, int indentation=2, bool curlyHash=True)
| create code from the list value More...
string | qorize (hash val, string name='var', bool newstyle=True, int indentation=2, bool curlyHash=True)
| create code from the hash value More...
string | qorize (object val, string name='var', bool newstyle=True, int indentation=2, bool curlyHash=True)
| create code from the object value. Just initializes object with empty constructor. To initilize members use qorize_named() function More...
string | qorize (auto val, string name='var', bool newstyle=True)
| create code from the any value - fallback for NULL and NOTHINGS More...
string | qorize_named (hash val, string name='var', bool newstyle=True)
| create code from the hash value - with one value per one line More...
string | qorize_named (object val, string name='var', bool newstyle=True)
| create code from the object value, constructor with empty parameters is called and members are created with one member per line. It may not generate valid code as because of private members and overloaded constructor. Circular references are handled to avoid endless loop. More...
string | qorize_named (list val, string name='var', bool newstyle=True)
| create code from the list value. More...
string | qorize_named (auto val, string name='var', bool newstyle=True)
| Process other types normal way using qorize().
string | qorize_val (list val, int indentation=2, bool curlyHash=True)
| create code without any variable assignment (lvalue) More...
string | qorize_val (hash val, int indentation=2, bool curlyHash=True)
| create code without any variable assignment (lvalue) More...
string | qorize_val (auto val)
| create code without any variable assignment (lvalue) More...
deprecated string | qorizeNamed (hash val, string name='var', bool newstyle=True)
| Deprecated, use qorize_named() instead.

## Detailed Description

public Qorize namespace contains all relevant stuff for this module